[vte/vte-0-34] pty: Change vte version variable name



commit 68046665721bbd36fe8035fe51ab138e9dd3c1dd
Author: Christian Persch <chpe gnome org>
Date:   Mon May 13 19:44:36 2013 +0200

    pty: Change vte version variable name
    
    Use "VTE_VERSION". Adapt the vte.sh script accordingly.

 src/pty.c  |    4 ++--
 src/vte.sh |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/src/pty.c b/src/pty.c
index 7a3cdad..b0b0be4 100644
--- a/src/pty.c
+++ b/src/pty.c
@@ -358,7 +358,7 @@ vte_pty_child_setup (VtePty *pty)
         }
 
         g_snprintf (version, sizeof (version), "%u", VTE_VERSION_NUMERIC);
-        g_setenv ("VTE", version, TRUE);
+        g_setenv ("VTE_VERSION", version, TRUE);
 
        /* Finally call an extra child setup */
        if (data->extra_child_setup) {
@@ -452,7 +452,7 @@ __vte_pty_merge_environ (char **envp, const char *term_value)
         if (term_value != NULL)
                 g_hash_table_replace (table, g_strdup ("TERM"), g_strdup (term_value));
 
-        g_hash_table_replace (table, g_strdup ("VTE"), g_strdup_printf ("%u", VTE_VERSION_NUMERIC));
+        g_hash_table_replace (table, g_strdup ("VTE_VERSION"), g_strdup_printf ("%u", VTE_VERSION_NUMERIC));
 
        array = g_ptr_array_sized_new (g_hash_table_size (table) + 1);
         g_hash_table_iter_init(&iter, table);
diff --git a/src/vte.sh b/src/vte.sh
index b7a4975..ba43c42 100644
--- a/src/vte.sh
+++ b/src/vte.sh
@@ -22,7 +22,7 @@
 [[ $- == *i* ]] || return
 
 # Not running under vte?
-[ -n "$PS1" -a "${VTE:-0}" -ge 3405 ] || return
+[ -n "$PS1" -a "${VTE_VERSION:-0}" -ge 3405 ] || return
 
 __vte_urlencode() (
   # This is important to make sure string manipulation is handled


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]